Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.prg.exception
Class EPLTooBig

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.encog.EncogError
                      org.encog.ml.prg.exception.EncogProgramError
                          org.encog.ml.prg.exception.EncogEPLError
                              org.encog.ml.prg.exception.EPLTooBig

All Implemented Interfaces:
  Serializable

    public class EPLTooBig

extends EncogEPLError

The program exceeded its maximum length.

See Also:
  Serialized Form

Constructor Summary
`EPLTooBig(String msg)` Construct a message exception.
`EPLTooBig(String msg, Throwable t)` Construct an exception that holds another exception.
`EPLTooBig(Throwable t)` Construct an exception that holds another exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPLTooBig

    public EPLTooBig(String msg)

  Construct a message exception.

  Parameters:
    `msg` - The exception message.

### EPLTooBig

    public EPLTooBig(String msg,
                     Throwable t)

  Construct an exception that holds another exception.

  Parameters:
    `msg` - A message.
    `t` - The other exception.

### EPLTooBig

    public EPLTooBig(Throwable t)

  Construct an exception that holds another exception.

  Parameters:
    `t` - The other exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.